/* $Id: usbioc.c,v 1.2 2000/12/26 15:38:14 nari Exp $ */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>

#include "morphy-usbio.h"

void printUsageAndExit()
{
  char **pp;
  static char *usage[] =  {
    "Usage:usbioc /dev/usbio[0-4] cmd",
    "cmd:",
    "  bin         set binary mode",
    "  bintext     set bin text mode",
    "  hextext     set hex text mode",
    NULL,
  };

  for(pp = usage; *pp!=NULL;pp++)
    fprintf(stderr,"%s\n",*pp);
  exit(1);
};

int main(int argc, char *argv[])
{
  int i;
  int h,r;
  
  if(argc < 3) printUsageAndExit();
  h = open(argv[1],O_RDWR);
  if(h < 0) {
    fprintf(stderr,"open %s failed.\n",argv[1]);
    exit(1);
  }

  for(i=2;i<argc;i++){
    if(strcmp("bin",argv[i])==0)
      r = ioctl(h, MUSBIO_IOCTDEFMODE, MUSBIO_MODE_BINARY);
    else if(strcmp("bintext",argv[i])==0)
      r = ioctl(h, MUSBIO_IOCTDEFMODE, MUSBIO_MODE_BINTEXT);
    else if(strcmp("hextext",argv[i])==0)
      r = ioctl(h, MUSBIO_IOCTDEFMODE, MUSBIO_MODE_HEXTEXT);
    else {
      fprintf(stderr,"undefined cmd \"%s\"\n",argv[i]);
      printUsageAndExit();
    }
  }
  close(h);
  return 0;
}
